chiark / gitweb /
test suite: overwrite-chkclog: test UNRELEASED handling.
[dgit.git] / tests / run-all
index f298cb773423df1ca6dabffe0df337962fc0b86f..3877c760a0aca1b40d3e756cedabd3ec28b0fef2 100755 (executable)
@@ -1,15 +1,21 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 # convenience script for running the tests outside adt-run
 # usage: tests/using-intree tests/run-all
 
+set -o pipefail
+
 set +e
-jcpus=`perl -MSys::CPU -we 'printf "-j%d\n",Sys::CPU::cpu_count()'`
+jcpus=`perl -MSys::CPU -we 'printf "-j%d\n", 1.34 * Sys::CPU::cpu_count()'`
 set -e
 
 if [ $# != 0 ]; then
        set TESTSCRIPTS="$*"
 fi
 
-set -x
-exec make $jcpus -f tests/Makefile "$@"
+mkdir -p tests/tmp
+
+(
+ set -x
+ exec make $jcpus -k -f tests/Makefile "$@"
+) 2>&1 |tee tests/tmp/run-all.log